using Sirenix.OdinInspector;
using UnityEngine;

namespace Conjure.Input
{
    [CreateAssetMenu(fileName = "InputVariablePlayersReference", menuName = "ScriptableObjects/inputs/InputVariablePlayersReference", order = 0)]
    public class InputVariablePlayersReference : SerializedScriptableObject
    {
        [SerializeField] private InputVariableReference[] inputReferences = new InputVariableReference[2];

        public InputVariableReference GetReferenceByPlayerEnum(PlayerEnum player)
        {
            if (player == PlayerEnum.None)
            {
                return null;
            }

            return inputReferences[(int)player];
        }
    }
}